Puppet classes on config groups aren't added to host's ENC YAML output
Status: Closed   

Priority: Urgent   

Assignee: Dominic Cleal   

Category: Puppet integration   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Add a config group with a Puppet class assigned, then assign the config group to a host.  Provided the parameterised ENC is

enabled, view the ENC YAML output from the host page and the new classes won't be listed.

It appears that the Classification::ClassParam / Base implementations have their own way of getting the puppetclass_ids for a host

and its host group, without checking for config groups too.

Associated revisions

Revision 46b3d8f1 - 04/22/2014 01:06 PM - Dominic Cleal

fixes #5246 - remove second host/class lookup impl so config groups are included in ENC output

Revision 3e5ee0a6 - 04/28/2014 11:51 AM - Dominic Cleal

fixes #5246 - remove second host/class lookup impl so config groups are included in ENC output

(cherry picked from commit 46b3d8f1f5dff70b961266232f0041beabea8e0d)

History

#1 - 04/19/2014 09:32 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1393

#2 - 04/22/2014 01:31 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 46b3d8f1f5dff70b961266232f0041beabea8e0d.
